Hey everyone! We dedicated these past few weeks to making Lunar Client compatible with Minecraft’s newest version, 1.17, The Caves and Cliffs update! This required a lot of work and has been one of our most extensive updates regarding the amount of code we had to change and touch to support the new version. This was due to Mojang’s decision to update both their OpenGL and Java versions.

With that being said, we are happy to announce that as of last night, you can now launch and play on 1.17 on Lunar Client. In order for everyone to have the best experience with the new version, we have disabled cosmetics and emotes until they are completely finished. We are also aware that macOS players are unable to launch Lunar Client on 1.17 - this is something we are actively working on and hope to have resolved very soon! One last thing to note is that OptiFine is not fully released for 1.17, so you may notice that performance may be lower than usual. Other than that, please report any issues you may encounter while playing on the client.

Although we are happy that it only took one week to offer the new version, we can and will be faster in future version updates! If you have any suggestions to improve Lunar Client, make sure to interact with us on our social media accounts. Thank you all for the constant support; Lunar Client is made for the players, by the players.

Launcher


Version 1.15

We are planning on removing version 1.15 in the coming weeks due to its unpopularity and lack of support.